IO_PATTERN = r'^io_'
ADC_CONTROL_PATTERN = r'^(SCLK|DIN|CS_n|DOUT)$'
DAC_CONTROL_PATTERN = r'^(LDAC_n|CLR_n|RESET_n|BIN_n/2SCOMP|SYNC_n|SCLK|SDI|BUSY_n|PEC_n|SDO)$'

coords = '0 mm,0 mm,0 mm, 0 deg'.split(',')

AddDevice(
    'FPGA', 'U', coords,
    'fpga/xilinx/xc7vx485t', 'ffg1157', 'ffg1157', 'direct'
)

AddDevice(
    'ADC', 'U', coords,
    'adc/AD7490', 'tssop28', 'tssop28', 'direct'
)

AddDevice(
    'DAC', 'U', coords,
    'dac/AD5360', 'lqfp52', 'lqfp52', 'direct'
)



### Add Bundle connections between FPGA and ADC
nickname_1 = 'FPGA'
nickname_2 = 'ADC'

bundlename = 'ADC_CTL'
netnames = tuple('ADC_CTL{}'.format(i) for i in range(4))

BundleNets(bundlename, netnames)

AddSimpleEP(
    bundlename, nickname_1,
    pinfunc_match, [IO_PATTERN], mf_kwargs={
        'ignorecase': True,
    }
)

AddSimpleEP(
    bundlename, nickname_2,
    pinfunc_match, [ADC_CONTROL_PATTERN], mf_kwargs={
        'ignorecase': True,
    }
)



### Add Bundle connections between FPGA and DAC
nickname_1 = 'FPGA'
nickname_2 = 'DAC'

bundlename = 'DAC_CTL'
netnames = tuple('DAC_CTL{}'.format(i) for i in range(10))

BundleNets(bundlename, netnames)

AddSimpleEP(
    bundlename, nickname_1,
    pinfunc_match, [IO_PATTERN], mf_kwargs={
        'ignorecase': True,
    }
)

AddSimpleEP(
    bundlename, nickname_2,
    pinfunc_match, [DAC_CONTROL_PATTERN], mf_kwargs={
        'ignorecase': True,
    }
)

