IO_P_PATTERN = r'^io_l0[12]p'
IO_N_PATTERN = r'^io_l0[12]n'
IO_X_PATTERN = r'^io_l0[12]'
BANKS = frozenset({1})

AddDevice('FPGA', 'U', ['0 mm', '-20 mm', '0 mm', '90 deg'],
          'fpga/xilinx/xc3s50a', 'vq100', 'vqfp100', 'direct')

for i, nickname in enumerate(('L_diff', 'L_s1', 'L_s2')):
    AddDevice(
        nickname, 'D',
        ['{} mm'.format(-10 + 10*i), '0 mm', '0 mm', '0 deg'],
        'led/led', 'AK', '0402', 'ak'
    )

AddSimpleEP(
    'B_diff', 'FPGA', pinfunc_match_in_bank, [IO_P_PATTERN],
    mf_kwargs={
        'ignorecase': True,
        'banks': BANKS,
    }
)
AddSimpleEP('B_diff', 'L_diff', has_pinfunc, ['anode'])
BundleNets('B_diff', ['net_diff'])
BundleSetDifferential('B_diff', '_P', '_N')


for suffix in ('s1', 's2'):
    AddSimpleEP(
        'B_{}'.format(suffix), 'FPGA', pinfunc_match_in_bank, [IO_X_PATTERN],
        mf_kwargs={
            'ignorecase': True,
            'banks': BANKS,
        }
    )
    AddSimpleEP(
        'B_{}'.format(suffix), 'L_{}'.format(suffix),
        has_pinfunc, ['anode']
    )
    BundleNets('B_{}'.format(suffix), ['net_{}'.format(suffix)])
