WIDTH = 12  # Width of each inter-FPGA bus
IO_PATTERN = r'^io_'

AddDevice('center', 'U', ['0 mm', '0 mm', '0 mm', '0 deg'],
          'fpga/xilinx/xc7vx485t', 'ffg1157', 'ffg1157', 'direct')
AddDevice('left', 'U', ['-80 mm', '0 mm', '0 mm', '0 deg'],
          'fpga/xilinx/xc7vx485t', 'ffg1157', 'ffg1157', 'direct')
AddDevice('right', 'U', ['80 mm', '0 mm', '0 mm', '0 deg'],
          'fpga/xilinx/xc7vx485t', 'ffg1157', 'ffg1157', 'direct')


BundleNets('B_L', ['L{:02}'.format(i) for i in range(WIDTH)])
AddSimpleEP('B_L', 'center',
            pinfunc_match_in_bank, [IO_PATTERN], mf_kwargs={
                'ignorecase': True,
                'banks': frozenset({34}),
            })
AddSimpleEP('B_L', 'left',
            pinfunc_match_in_bank, [IO_PATTERN], mf_kwargs={
                'ignorecase': True,
                'banks': frozenset(range(13, 20)),
            })


BundleNets('B_R', ['R{:02}'.format(i) for i in range(WIDTH)])
AddSimpleEP('B_R', 'center',
            pinfunc_match_in_bank, [IO_PATTERN], mf_kwargs={
                'ignorecase': True,
                'banks': frozenset({18, 19}),
            })
AddSimpleEP('B_R', 'right',
            pinfunc_match_in_bank, [IO_PATTERN], mf_kwargs={
                'ignorecase': True,
                'banks': frozenset(range(33,40)),
            })
