WIDTH = 32  # Width of each inter-FPGA bus
IO_PATTERN = r'^io_'
NUM_DEVICES = 8


### Add devices in line
for i in range(NUM_DEVICES):
    nickname = 'X{:}'.format(i+1)
    coords = '{:} mm,0 mm,0 mm, 0 deg'.format(50*i).split(',')

    AddDevice(
        nickname, 'U', coords,
        'fpga/xilinx/xc7vx485t', 'ffg1157', 'ffg1157', 'direct'
    )


def devs2bundlename(nickname_1, nickname_2):
    return '_'.join(('B', nickname_1, nickname_2))

def devs2netnames(nickname_1, nickname_2, numnets):
    return [
        '{:}_{:}_d<{:}>'.format(
            nickname_1,
            nickname_2,
            i
        )
        for i in range(numnets)
    ]


### Add Bundle connections between devices
for i in range(NUM_DEVICES-1):
    nickname_1 = 'X{:}'.format(i+1)
    nickname_2 = 'X{:}'.format(i+2)

    bundlename = devs2bundlename(nickname_1, nickname_2)
    netnames = devs2netnames(nickname_1, nickname_2, WIDTH)

    BundleNets(bundlename, netnames)

    AddSimpleEP(
        bundlename, nickname_1,
        pinfunc_match, [IO_PATTERN], mf_kwargs={
            'ignorecase': True,
        }
    )

    AddSimpleEP(
        bundlename, nickname_2,
        pinfunc_match, [IO_PATTERN], mf_kwargs={
            'ignorecase': True,
        }
    )

