#!/usr/bin/env python3

"""Device library: standard LEDs"""

import device



dev = device.Device(packages = {
        'AK' : device.LogicalPackage(pins = {
                'A' : device.LogicalPin(pinfuncs = {
                    'anode' : device.PinFunc(device.ANALOG, device.INPUT,
                                             device.SINGLE,
                                             required=True),
                    'sig_p' : device.PinFunc(device.ANALOG, device.INPUT,
                                             device.DIFF_P,
                                             required=True,
                                             params={'diff_pair': 'sig_n'}
                                            ),
                }),

                'K' : device.LogicalPin(pinfuncs = {
                    'cathode' : device.PinFunc(device.ANALOG, device.INPUT,
                                               device.SINGLE,
                                               required=True),
                    'sig_n' : device.PinFunc(device.ANALOG, device.INPUT,
                                             device.DIFF_N,
                                             required=True,
                                             params={'diff_pair': 'sig_p'}
                                            ),
                }),

        }),
    })

