#!/usr/bin/env python3

"""Device library: standard 2-pin capacitor"""

import device



dev = device.Device(packages={
        'nonpolar' : device.LogicalPackage(pins={
                1 : device.LogicalPin(pinfuncs={
                    '1' : device.PinFunc(device.ANALOG, device.BIDIR,
                                         device.SINGLE, required=True),
                }),

                2 : device.LogicalPin(pinfuncs={
                    '2' : device.PinFunc(device.ANALOG, device.BIDIR,
                                         device.SINGLE, required=True),
                }),

        }),

        'polar' : device.LogicalPackage(pins={
                1 : device.LogicalPin(pinfuncs={
                    'pos' : device.PinFunc(device.ANALOG, device.BIDIR,
                                           device.SINGLE, required=True),
                }),

                2 : device.LogicalPin(pinfuncs={
                    'neg' : device.PinFunc(device.ANALOG, device.BIDIR,
                                           device.SINGLE, required=True),
                }),

        }),
    })

