#!/usr/bin/env python3

"""PhysicalPackage: surface mount 0603 x 8"""

import fractions
import wallpy.units

import genphypack



N = 16
P = wallpy.units.Length(fractions.Fraction(8, 10), 'mm')
B = wallpy.units.Length(fractions.Fraction(7, 10), 'mm')
C = wallpy.units.Length(fractions.Fraction(9, 10), 'mm')
D = wallpy.units.Length(fractions.Fraction(5, 10), 'mm')
Hx = wallpy.units.Length(fractions.Fraction(66, 10), 'mm')
Hy = wallpy.units.Length(fractions.Fraction(25, 10), 'mm')
Hz = wallpy.units.Length(fractions.Fraction(7, 10), 'mm')


phypack = genphypack.gen_dualrow(N, P, B, C, D, Hx, Hy, Hz)
phypack.dimensions = (Hx, Hy, Hz) # Hz not tested
