#!/usr/bin/env python3

"""PhysicalPackage: surface mount PBGA196"""

import fractions
import wallpy.units

import genphypack



M = 8
N = 8
P = wallpy.units.Length(fractions.Fraction(1, 1), 'mm')
R = wallpy.units.Length(fractions.Fraction(43, 100), 'mm')
Hx = wallpy.units.Length(10, 'mm')
Hy = wallpy.units.Length(8, 'mm')
Hz = wallpy.units.Length(fractions.Fraction(12, 10), 'mm')


phypack = genphypack.gen_bga(M, N, P, R, Hx, Hy, Hz)
