#!/usr/bin/env python3

"""PhysicalPackage: surface mount PBGA196"""

import fractions
import wallpy.units

import genphypack
import schem



M = 16
N = 9
P = wallpy.units.Length(fractions.Fraction(8, 10), 'mm')
R = wallpy.units.Length(fractions.Fraction(45, 100), 'mm')
Hx = wallpy.units.Length(9, 'mm')
Hy = wallpy.units.Length(14, 'mm')
Hz = wallpy.units.Length(fractions.Fraction(11, 10), 'mm')


phypack = genphypack.gen_bga(M, N, P, R, Hx, Hy, Hz)

for pin in tuple(phypack.pins):
    pre, n, post = schem.name2ana(pin)
    if 3 < n < 7:
        del phypack.pins[pin]
