#!/usr/bin/env python3

"""PhysicalPackage: surface mount FF(G)1136"""

import fractions
import wallpy.units

import genphypack



M = 34
N = 34
P = wallpy.units.Length(1, 'mm')
R = wallpy.units.Length(fractions.Fraction(45, 100), 'mm')
Hx = wallpy.units.Length(35, 'mm')
Hy = wallpy.units.Length(35, 'mm')
Hz = wallpy.units.Length(3, 'mm')


phypack = genphypack.gen_bga(M, N, P, R, Hx, Hy, Hz)
