#!/usr/bin/env python3

"""PhysicalPackage: surface mount LQFP52"""

import fractions
import wallpy.units

import genphypack



Nx = 13
Ny = 13
P = wallpy.units.Length(fractions.Fraction(65, 100), 'mm')
Bx = wallpy.units.Length(fractions.Fraction(10, 1), 'mm')
By = wallpy.units.Length(fractions.Fraction(10, 1), 'mm')
C = wallpy.units.Length(fractions.Fraction(9, 10), 'mm')
D = wallpy.units.Length(fractions.Fraction(32, 100), 'mm')
Hx = wallpy.units.Length(fractions.Fraction(12, 1), 'mm')
Hy = wallpy.units.Length(fractions.Fraction(12, 1), 'mm')
Hz = wallpy.units.Length(fractions.Fraction(16, 10), 'mm')


phypack = genphypack.gen_qfp(Nx, Ny, P, Bx, By, C, D, Hx, Hy, Hz)
phypack.dimensions = (Hx, Hy, Hz) # FIXME: Hz not tested
