#!/usr/bin/env python3

"""PhysicalPackage: surface mount LQFP64"""

import fractions
import wallpy.units

import genphypack



Nx = 16
Ny = 16
P = wallpy.units.Length(fractions.Fraction(1, 2), 'mm')
Bx = wallpy.units.Length(fractions.Fraction(104, 10), 'mm')
By = wallpy.units.Length(fractions.Fraction(104, 10), 'mm')
C = wallpy.units.Length(fractions.Fraction(1, 1), 'mm')
D = wallpy.units.Length(fractions.Fraction(285, 1000), 'mm')
Hx = wallpy.units.Length(fractions.Fraction(1365, 100), 'mm')
Hy = wallpy.units.Length(fractions.Fraction(1365, 100), 'mm')
Hz = wallpy.units.Length(fractions.Fraction(16, 10), 'mm')


phypack = genphypack.gen_qfp(Nx, Ny, P, Bx, By, C, D, Hx, Hy, Hz)
phypack.dimensions = (Hx, Hy, Hz) # FIXME: Hz not tested
