#!/usr/bin/env python3

"""PhysicalPackage: surface mount PBGA196"""

import fractions
import wallpy.units

import genphypack



M = 14
N = 14
P = wallpy.units.Length(fractions.Fraction(8, 10), 'mm')
R = wallpy.units.Length(fractions.Fraction(45, 100), 'mm')
Hx = wallpy.units.Length(12, 'mm')
Hy = wallpy.units.Length(12, 'mm')
Hz = wallpy.units.Length(fractions.Fraction(14, 10), 'mm')


phypack = genphypack.gen_bga(M, N, P, R, Hx, Hy, Hz)
