#!/usr/bin/env python3

"""PhysicalPackage: surface mount SO-24 (wide)"""

import fractions
import wallpy.units

import genphypack



N = 24
P = wallpy.units.Length(fractions.Fraction(127, 100), 'mm')
B = wallpy.units.Length(fractions.Fraction(73, 10), 'mm')
C = wallpy.units.Length(fractions.Fraction(16, 10), 'mm')
D = wallpy.units.Length(fractions.Fraction(6, 10), 'mm')
Hx = wallpy.units.Length(fractions.Fraction(154, 10), 'mm')
Hy = wallpy.units.Length(fractions.Fraction(105, 10), 'mm')
Hz = wallpy.units.Length(fractions.Fraction(265, 100), 'mm')


phypack = genphypack.gen_dualrow(N, P, B, C, D, Hx, Hy, Hz)
phypack.dimensions = (Hx, Hy, Hz) # Hz not tested
