#!/usr/bin/env python3

"""PhysicalPackage: surface mount SO-8 (narrow)"""

import fractions
import wallpy.units

import genphypack



N = 8
P = wallpy.units.Length(fractions.Fraction(127, 100), 'mm')
B = wallpy.units.Length(fractions.Fraction(4, 1), 'mm')
C = wallpy.units.Length(fractions.Fraction(13, 10), 'mm')
D = wallpy.units.Length(fractions.Fraction(6, 10), 'mm')
Hx = wallpy.units.Length(fractions.Fraction(55, 10), 'mm')
Hy = wallpy.units.Length(fractions.Fraction(7, 1), 'mm')
Hz = wallpy.units.Length(fractions.Fraction(175, 100), 'mm')


phypack = genphypack.gen_dualrow(N, P, B, C, D, Hx, Hy, Hz)
phypack.dimensions = (Hx, Hy, Hz) # Hz not tested
