#!/usr/bin/env python3

"""PhysicalPackage: surface mount TQFP80"""

import fractions
import wallpy.units

import genphypack



Nx = 20
Ny = 20
P = wallpy.units.Length(fractions.Fraction(1, 2), 'mm')
Bx = wallpy.units.Length(fractions.Fraction(122, 10), 'mm')
By = wallpy.units.Length(fractions.Fraction(122, 10), 'mm')
C = wallpy.units.Length(fractions.Fraction(16, 10), 'mm')
D = wallpy.units.Length(fractions.Fraction(3, 10), 'mm')
Hx = wallpy.units.Length(fractions.Fraction(16, 1), 'mm')
Hy = wallpy.units.Length(fractions.Fraction(16, 1), 'mm')
Hz = wallpy.units.Length(fractions.Fraction(12, 10), 'mm')


phypack = genphypack.gen_qfp(Nx, Ny, P, Bx, By, C, D, Hx, Hy, Hz)
phypack.dimensions = (Hx, Hy, Hz) # Hz not tested
