#!/usr/bin/env python3

"""PhysicalPackage: surface mount TSSOP-28"""

import fractions
import wallpy.units

import genphypack



N = 28
P = wallpy.units.Length(fractions.Fraction(65, 100), 'mm')
B = wallpy.units.Length(fractions.Fraction(44, 10), 'mm')
C = wallpy.units.Length(fractions.Fraction(8, 10), 'mm')
D = wallpy.units.Length(fractions.Fraction(3, 10), 'mm')
Hx = wallpy.units.Length(fractions.Fraction(98, 10), 'mm')
Hy = wallpy.units.Length(fractions.Fraction(64, 10), 'mm')
Hz = wallpy.units.Length(fractions.Fraction(12, 10), 'mm')


phypack = genphypack.gen_dualrow(N, P, B, C, D, Hx, Hy, Hz)
phypack.dimensions = (Hx, Hy, Hz) # Hz not tested
