#!/bin/bash

TESTDIR="$1"
NUMITER=$2

LOGFILE="$TESTDIR/log.$RANDOM"

if [ \( -z "$NUMITER" \) -o \( ! -d "$TESTDIR" \) ]; then
    echo "Usage: $0 testdir iterations"
    exit 1
fi


for TESTFILE in "$TESTDIR"/test_*.py; do
    i=1

    echo -n "Running ${TESTFILE}"

    while [ $i -le $NUMITER ]; do
	PYTHONPATH=. python3 "$TESTFILE"    \
	    > "${LOGFILE}.stdout" 2> "${LOGFILE}.stderr"
	tail -n 1 "${LOGFILE}.stderr" | grep '^OK\>' >/dev/null
	RET=$?

	if [ $RET -ne 0 ]; then
	    echo
	    echo "Execution failed for $TESTFILE on iteration $i"
	    echo "Please examine ${LOGFILE}.* for more information"
	    exit 1
	fi

	echo -n '.'

	let i=i+1
    done

    echo

done

rm "${LOGFILE}.stdout" "${LOGFILE}.stderr"
echo 'Success!'
