#!/bin/bash

TESTFILE="$1"
NUMITER=$2

LOGFILE="log.$RANDOM"

if [ ! -f "$TESTFILE" ]; then
    echo "Usage: $0 testfile iterations"
    exit 1
fi


i=1

while [ $i -le $NUMITER ]; do
    PYTHONPATH=. python3 "$TESTFILE" &> "${LOGFILE}"
    tail -n 1 "${LOGFILE}" | grep '^OK$' >/dev/null
    RET=$?

    if [ $RET -ne 0 ]; then
	echo
	echo "Execution failed on iteration $i"
	echo "Please examine ${LOGFILE} for more information"
	exit 1
    fi

    echo -n '.'

    let i=i+1
done

rm "${LOGFILE}"
echo 'Success!'
