#!/usr/bin/env python3

import unittest
import sys
import io
import fractions

import wallpy.units

import genphypack





class Test_gen_qfp(unittest.TestCase):

    def setUp(self):
        pass


    def test_basic_qfp(self):

        PP = genphypack.gen_qfp(
            10, # Nx
            15, # Ny
            wallpy.units.Length(1, 'mm'),  # P
            wallpy.units.Length(15, 'mm'), # Bx
            wallpy.units.Length(20, 'mm'), # By
            wallpy.units.Length(2, 'mm'),  # C
            wallpy.units.Length(fractions.Fraction(1, 2), 'mm'),   # D
            wallpy.units.Length(20, 'mm'), # Hx
            wallpy.units.Length(25, 'mm'), # Hy
            wallpy.units.Length(fractions.Fraction(8, 10), 'mm')   # Hz
        )



class Test_gen_bga(unittest.TestCase):

    def setUp(self):
        pass


    def test_basic_bga(self):

        PP = genphypack.gen_bga(
            34, # M
            34, # N
            wallpy.units.Length(1, 'mm'),   # P
            wallpy.units.Length(fractions.Fraction(4, 10), 'mm'),   # R
            wallpy.units.Length(35, 'mm'),  # Hx
            wallpy.units.Length(35, 'mm'),  # Hy
            wallpy.units.Length(3, 'mm')    # Hz
        )





__TL = unittest.TestLoader()

alltests = unittest.TestSuite((
    __TL.loadTestsFromTestCase(Test_gen_qfp),
    __TL.loadTestsFromTestCase(Test_gen_bga),
))


if __name__ == '__main__':
    unittest.TextTestRunner(verbosity=2).run(alltests)

