#!/usr/bin/env python3

import sys

import wallpy.version

sys.path.append('.')

import device
import devimport

VER = wallpy.version.get_version()


def usage():
    print('Usage:', sys.argv[0], 'devname', 'packname1 infile1',
          '[packname2 infile2]', '[...]')
    sys.exit(1)



args = sys.argv[1:]

if len(args) < 3:
    usage()


devname = args[0]
fileargs = args[1:]

if (len(fileargs) % 2) != 0:
    usage()



# Print header

print('#!/usr/bin/env python3')
print()
print('"""Device:', devname)
print()
print('Automatically generated by', sys.argv[0])
print()
print('Latest tool revision:', VER)
print()
print('Input files:')

for i in range(0, len(fileargs), 2):
    packname = fileargs[i + 0]
    filename = fileargs[i + 1]

    print(' ', packname, ':', filename)

print('"""')
print()
print('import wallpy.cleanobject')
print('import device')
print()
print()


dev = device.Device()

for i in range(0, len(fileargs), 2):
    packname = fileargs[i + 0]
    filename = fileargs[i + 1]

    print('# Processing package', packname, 'from file', filename)


    with open(filename, 'r') as Fin:
        pack = devimport.lines2package(Fin)

    dev.packages[packname] = pack


    print('# Package', packname, 'processed successfully')
    print()


print()
print('dev = ', end = '')

dev.prettyprint()

